<script setup>
import { ref } from 'vue';
import { useTodoStore } from "@/stores/toDoListStore.js";
import { useAuthenticationStore } from "@/stores/authenticationStore.js";

const todoStore = useTodoStore();
const authenticationStore = useAuthenticationStore();
const newTodo = ref('');
const newTodoDescription = ref('');

const addTodo = async () => {
  await todoStore.addTodoToBackend(newTodo.value, newTodoDescription.value);
  newTodo.value = '';
  newTodoDescription.value = ''; // Clear the input after adding a todo
};
</script>

<template>
  <v-container class="pa-3" style="max-width: 600px; margin: auto; box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2); border-radius: 10px;">
    <v-row class="mb-3">
      <v-col cols="12">
        <v-text-field
            v-model="newTodo"
            label="What's next on your list?"
            outlined
            dense
            @keydown.enter="addTodo"
        ></v-text-field>
      </v-col>
      <v-col cols="12">
        <v-text-field
            v-model="newTodoDescription"
            label="More details"
            outlined
            dense
            multiline
            rows="2"
            @keydown.enter="addTodo"
        ></v-text-field>
      </v-col>
    </v-row>
    <v-row justify="center">
      <v-btn @click="addTodo" color="success" dark large>Save Todo</v-btn>
    </v-row>
  </v-container>
</template>

<style scoped>
.v-container {
  background-color: #fff; /* Light background */
  padding-top: 20px;
  padding-bottom: 20px;
}

.v-text-field--outlined .v-input__control {
  background-color: #f5f5f5; /* Slightly darker background for inputs */
}

.v-btn {
  width: 100%; /* Make button take full width of the column */
}
</style>
